/**
 * Checks if the given input is null, undefined, empty, or only contains whitespace.
 *
 * - If the input is a string, it checks if it's empty or only contains whitespace.
 * - If the input is an array, it checks if it's empty.
 * - If the input is an object, it checks if it has any own enumerable properties.
 * - If the input is a Set or a Map, it checks if it's empty.
 *
 * @param {any} input - The value to check.
 * @returns {boolean} - Returns `true` if the input is null, undefined, empty, or only contains whitespace. Otherwise, it returns `false`.
 */
export declare function NullEmptyOrWhitespace(input: any): boolean;
