import { ConcatenateKeys } from "../src/mutate/ConcatenateKeys";
describe("ConcatenateKeys", () => {
    it("should concatenate specified fields using default separator and store result in specified field", () => {
        const data = { field1: "hello", field2: "world", result: "" };
        const expectedResult = { field1: "hello", field2: "world", result: "hello world" };
        const result = ConcatenateKeys(data, ["field1", "field2"], "result");
        expect(result).toEqual(expectedResult);
    });
    it("should concatenate specified fields using custom separator and store result in specified field", () => {
        const data = { field1: "hello", field2: "world", result: "" };
        const expectedResult = { field1: "hello", field2: "world", result: "hello-world" };
        const result = ConcatenateKeys(data, ["field1", "field2"], "result", "-");
        expect(result).toEqual(expectedResult);
    });
    it("should return the same object if data is not of type object", () => {
        const data = [1, 2];
        const result = ConcatenateKeys(data, [0, 1]);
        expect(result).toBe(data);
    });
    it("should return the same object if fieldsToConcat array is empty", () => {
        const data = { field1: "hello", field2: "world", result: "" };
        const result = ConcatenateKeys(data, [], "result");
        expect(result).toBe(data);
    });
});
